﻿.swal2-container.swal2-center > .swal2-popup {
    grid-row: inherit !important;
    align-self: baseline !important;
}

.label-red-small {
    font-weight: normal !important;
    color: #e83e8c;
    font-size: 14px;
}

legend {
    font-size: 1.4rem;
    /*border-bottom: 1px solid #ececec;*/
    border-bottom: 1px solid #a1ccfa;
}

.col-btn-legend {
    width: 30px;
    float: left;
}

.col-br-legend {
    /*border-bottom: 1px solid #a1ccfa;*/
    width: calc(100% - 31px);
    float: right;
    font-size: 15px;
}
    .col-br-legend hr {
        border-top: 1px solid #a1ccfa;
        margin-top: 0px;
    }

.label-legend {
    font-size: 1.4rem;
    color: #212529;
}

.label-help-video {
    font-size: 15px;
    color: #212529;
    font-weight: normal !important;
    font-style: italic;
}

.btn-toggle-group {
    color: #1d5999;
}

#divPrivacy {
    margin: 5px;
    padding: 5px;
    border: 1px solid #ccc;
    min-height: 140px;
    max-height: 140px;
    overflow: scroll;
    font-size: 0.8em;
}

.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
    border: none;
}

.ul-alert {
    text-align: left;
    list-style: circle;
    text-indent: 10px;
    font-size: 19px;
}

/*.tooltip-inner {
    max-width: 300px;
    padding: 0.25rem 0.5rem;
    color: #fff;
    text-align: center;
    background-color: #000;
    border-radius: 0.25rem;
}*/

.tooltip.show {
    opacity: 1;
}

.tooltip-inner {
    background-color: #134f82;
    background-color: #337ab7;
    font-size: 1.3em;
    min-width: 400px;
}

    .tooltip-inner .dv-inner-tooltip {
        text-align: left;
        padding: 10px;
    }

        .tooltip-inner .dv-inner-tooltip span {
            color: #e3e3e3;
            color: #e0ad64;
            color: #f5cd94;
        }

            .tooltip-inner .dv-inner-tooltip span.title {
                padding-bottom: 5px;
                line-height: 35px;
                border-bottom: 1px solid #fff;
            }


#dvIscrizioneCompleta .card-title,
#dvPubblicoSegnalazioni .card-title {
    display: flex;
    align-items: center;
}

    #dvIscrizioneCompleta .card-title label,
    #dvPubblicoSegnalazioni .card-title label {
        font-size: 30px;
    }

#dvIscrizioneCompleta .dv-tanks,
#dvPubblicoSegnalazioni .dv-tanks {
    font-size: 20px;
    text-align: center;
}

/*********LOADER***********/
.left-prel {
    float: left !important;
}

.right-prel {
    float: right !important;
}
.preloader-wrapper {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 50px;
}

    .preloader-wrapper.small {
        width: 36px;
        height: 36px;
    }

    .preloader-wrapper.big {
        width: 64px;
        height: 64px;
    }

    .preloader-wrapper.active {
        /* duration: 360 * ARCTIME / (ARCSTARTROT + (360-ARCSIZE)) */
        -webkit-animation: container-rotate 1568ms linear infinite;
        animation: container-rotate 1568ms linear infinite;
    }

@-webkit-keyframes container-rotate {
    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes container-rotate {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.spinner-layer {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    border-color: #00bcd4;
}

.spinner-blue,
.spinner-blue-only {
    border-color: #4285f4;
}

.spinner-red,
.spinner-red-only {
    border-color: #db4437;
}

.spinner-yellow,
.spinner-yellow-only {
    border-color: #f4b400;
}

.spinner-green,
.spinner-green-only {
    border-color: #0f9d58;
}

/**
 * IMPORTANT NOTE ABOUT CSS ANIMATION PROPERTIES (keanulee):
 *
 * iOS Safari (tested on iOS 8.1) does not handle animation-delay very well - it doesn't
 * guarantee that the animation will start _exactly_ after that value. So we avoid using
 * animation-delay and instead set custom keyframes for each color (as redundant as it
 * seems).
 *
 * We write out each animation in full (instead of separating animation-name,
 * animation-duration, etc.) because under the polyfill, Safari does not recognize those
 * specific properties properly, treats them as -webkit-animation, and overrides the
 * other animation rules. See https://github.com/Polymer/platform/issues/53.
 */
.active .spinner-layer.spinner-blue {
    /* durations: 4 * ARCTIME */
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, blue-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, blue-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

.active .spinner-layer.spinner-red {
    /* durations: 4 * ARCTIME */
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, red-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, red-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

.active .spinner-layer.spinner-yellow {
    /* durations: 4 * ARCTIME */
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, yellow-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, yellow-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

.active .spinner-layer.spinner-green {
    /* durations: 4 * ARCTIME */
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, green-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both, green-fade-in-out 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

.active .spinner-layer,
.active .spinner-layer.spinner-blue-only,
.active .spinner-layer.spinner-red-only,
.active .spinner-layer.spinner-yellow-only,
.active .spinner-layer.spinner-green-only {
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(.4, 0, .2, 1) infinite both;
    /* durations: 4 * ARCTIME */

    opacity: 1;
}

@-webkit-keyframes fill-unfill-rotate {
    12.5% {
        -webkit-transform: rotate(135deg);
    }
    /* 0.5 * ARCSIZE */
    25% {
        -webkit-transform: rotate(270deg);
    }
    /* 1   * ARCSIZE */
    37.5% {
        -webkit-transform: rotate(405deg);
    }
    /* 1.5 * ARCSIZE */
    50% {
        -webkit-transform: rotate(540deg);
    }
    /* 2   * ARCSIZE */
    62.5% {
        -webkit-transform: rotate(675deg);
    }
    /* 2.5 * ARCSIZE */
    75% {
        -webkit-transform: rotate(810deg);
    }
    /* 3   * ARCSIZE */
    87.5% {
        -webkit-transform: rotate(945deg);
    }
    /* 3.5 * ARCSIZE */
    to {
        -webkit-transform: rotate(1080deg);
    }
    /* 4   * ARCSIZE */
}

@keyframes fill-unfill-rotate {
    12.5% {
        -webkit-transform: rotate(135deg);
        transform: rotate(135deg);
    }
    /* 0.5 * ARCSIZE */
    25% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }
    /* 1   * ARCSIZE */
    37.5% {
        -webkit-transform: rotate(405deg);
        transform: rotate(405deg);
    }
    /* 1.5 * ARCSIZE */
    50% {
        -webkit-transform: rotate(540deg);
        transform: rotate(540deg);
    }
    /* 2   * ARCSIZE */
    62.5% {
        -webkit-transform: rotate(675deg);
        transform: rotate(675deg);
    }
    /* 2.5 * ARCSIZE */
    75% {
        -webkit-transform: rotate(810deg);
        transform: rotate(810deg);
    }
    /* 3   * ARCSIZE */
    87.5% {
        -webkit-transform: rotate(945deg);
        transform: rotate(945deg);
    }
    /* 3.5 * ARCSIZE */
    to {
        -webkit-transform: rotate(1080deg);
        transform: rotate(1080deg);
    }
    /* 4   * ARCSIZE */
}

@-webkit-keyframes blue-fade-in-out {
    from {
        opacity: 1;
    }

    25% {
        opacity: 1;
    }

    26% {
        opacity: 0;
    }

    89% {
        opacity: 0;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}

@keyframes blue-fade-in-out {
    from {
        opacity: 1;
    }

    25% {
        opacity: 1;
    }

    26% {
        opacity: 0;
    }

    89% {
        opacity: 0;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes red-fade-in-out {
    from {
        opacity: 0;
    }

    15% {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    50% {
        opacity: 1;
    }

    51% {
        opacity: 0;
    }
}

@keyframes red-fade-in-out {
    from {
        opacity: 0;
    }

    15% {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    50% {
        opacity: 1;
    }

    51% {
        opacity: 0;
    }
}

@-webkit-keyframes yellow-fade-in-out {
    from {
        opacity: 0;
    }

    40% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    75% {
        opacity: 1;
    }

    76% {
        opacity: 0;
    }
}

@keyframes yellow-fade-in-out {
    from {
        opacity: 0;
    }

    40% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    75% {
        opacity: 1;
    }

    76% {
        opacity: 0;
    }
}

@-webkit-keyframes green-fade-in-out {
    from {
        opacity: 0;
    }

    65% {
        opacity: 0;
    }

    75% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes green-fade-in-out {
    from {
        opacity: 0;
    }

    65% {
        opacity: 0;
    }

    75% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.gap-patch {
    position: absolute;
    top: 0;
    left: 45%;
    overflow: hidden;
    width: 10%;
    height: 100%;
    border-color: inherit;
}

    .gap-patch .circle {
        left: -450%;
        width: 1000%;
    }

.circle-clipper {
    position: relative;
    display: inline-block;
    overflow: hidden;
    width: 50%;
    height: 100%;
    border-color: inherit;
}

    .circle-clipper .circle {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        width: 200%;
        height: 100%;
        -webkit-animation: none;
        animation: none;
        border-width: 3px;
        /* STROKEWIDTH */
        border-style: solid;
        border-color: inherit;
        border-bottom-color: transparent !important;
        border-radius: 50%;
    }

    .circle-clipper.left-prel .circle {
        left: 0;
        -webkit-transform: rotate(129deg);
        -ms-transform: rotate(129deg);
        transform: rotate(129deg);
        border-right-color: transparent !important;
    }

    .circle-clipper.right-prel .circle {
        left: -100%;
        -webkit-transform: rotate(-129deg);
        -ms-transform: rotate(-129deg);
        transform: rotate(-129deg);
        border-left-color: transparent !important;
    }

.active .circle-clipper.left-prel .circle {
    /* duration: ARCTIME */
    -webkit-animation: left-spin 1333ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: left-spin 1333ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

.active .circle-clipper.right-prel .circle {
    /* duration: ARCTIME */
    -webkit-animation: right-spin 1333ms cubic-bezier(.4, 0, .2, 1) infinite both;
    animation: right-spin 1333ms cubic-bezier(.4, 0, .2, 1) infinite both;
}

@-webkit-keyframes left-spin {
    from {
        -webkit-transform: rotate(130deg);
    }

    50% {
        -webkit-transform: rotate(-5deg);
    }

    to {
        -webkit-transform: rotate(130deg);
    }
}

@keyframes left-spin {
    from {
        -webkit-transform: rotate(130deg);
        transform: rotate(130deg);
    }

    50% {
        -webkit-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }

    to {
        -webkit-transform: rotate(130deg);
        transform: rotate(130deg);
    }
}

@-webkit-keyframes right-spin {
    from {
        -webkit-transform: rotate(-130deg);
    }

    50% {
        -webkit-transform: rotate(5deg);
    }

    to {
        -webkit-transform: rotate(-130deg);
    }
}

@keyframes right-spin {
    from {
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }

    50% {
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    to {
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }
}

#spinnerContainer.cooldown {
    /* duration: SHRINK_TIME */
    -webkit-animation: container-rotate 1568ms linear infinite, fade-out 400ms cubic-bezier(.4, 0, .2, 1);
    animation: container-rotate 1568ms linear infinite, fade-out 400ms cubic-bezier(.4, 0, .2, 1);
}

@-webkit-keyframes fade-out {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes fade-out {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}


#preloaderFunc {
    display: none;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: #000;
    z-index: 9999;
    opacity: 0.2;
    align-items: center;
    justify-content: center;
}

#loaderFunc {
    display: none;
    position: fixed;
    margin-left: 50%;
    /*top: calc(100vh - 30%);*/
    top: 50%;
    z-index: 9999;
}

.page-error {

}

    .page-error  .error-content  h3 {
        font-size: 27px;
        font-weight: 300;
    }

.form-control[type="email"]
{

}